@import '../../minerva.less/minerva.variables.less';
@import '../../minerva.less/minerva.mixins.less';
@import 'mediawiki.mixins.less';
@import 'toc.less';
@import 'watchStar.less';
@import 'Toolbar.less';

.mw-mf-page-center__mask {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	opacity: 0;
	bottom: 0;
	background: @semiTransparent;
	z-index: @z-indexAboveContent;
	// don't use display: none because it's not animatable
	visibility: hidden;
	transition: opacity @transition-duration-base ease-in-out;
}

.navigation-enabled {
	.mw-mf-page-center__mask {
		visibility: visible;
		opacity: 0.5;
	}
}

// Last modified bar styles
.last-modified-bar.active {
	background-color: @lastModifiedBarActiveBackgroundColor;
	color: @color-inverted;

	.last-modified-text-accent,
	a {
		color: @color-inverted;
	}

	.minerva-icon {
		background-color: @color-inverted;
	}
}

// Used by last modified bar and in MobileFrontend (i.e. MobileSpecialPageFeed.php, ImageCarousel.js)
.truncated-text {
	.text-overflow( @visible: false );
}

@keyframes fadeInImage {
	from {
		opacity: 0;
	}

	to {
		opacity: 1;
	}
}

// When the image has loaded transition background color and image opacity
// for a fade-in effect
img.image-lazy-loaded {
	animation: fadeInImage 300ms ease-in;
}
